DVTM(1)

NAME
dvtm - dynamic virtual terminal manager

SYNOPSIS
dvtm [-v] [-m mod] [-s status-fifo] [cmd...]

DESCRIPTION
dvtm is a dynamic tiling window manager for the console. As a console window manager it tries to make it easy to work with multiple console based applications.

OPTIONS

-v  prints version information to standard output, then exits.

-m mod
    set default modifier at runtime.

-d escdelay
    set the delay ncurses waits before deciding if a character that might be part of an escape sequence is actually part of an escape sequence.

-h nnn
    set the scrollback history buffer size at runtime.

-s status-fifo
    if status-fifo is a named pipe, its content is read and displayed. See the dvtm-status script for an usage example.

[cmd...]
    Execute cmd after dvtm is started.

USAGE

  Keyboard commands

Mod Each keybinding begins with Mod which defaults to ^g but can be changed in config.h or with the -m command line option.

Mod-c
    Create a new shell window.

Mod-x
    Close focused window.

Mod-l
    Increases the master area width about 5% (all except grid and fullscreen layout).

Mod-h
    Decreases the master area width about 5% (all except grid and fullscreen layout).

Mod-j
    Focus next window.

Mod-k
    Focus previous window.

Mod-[1..n]
    Focus the nth window.

Mod-.
    Toggle minimization of current window.

Mod-u
    Focus next non minimized window.

Mod-i
    Focus prev non minimized window.

Mod-m
    Maximize current window (change to fullscreen layout).

Mod-PageUp
    Scroll up.

Mod-PageDown
    Scroll down.

Mod-Space
    Toggle between defined layouts (affects all windows).

Mod-Enter
    Zooms/cycles current window to/from master area.

Mod-t
    Change to vertical stack tiling layout.

Mod-b
    Change to bottom stack tiling layout.

Mod-g
    Change to grid layout.

Mod-s
    Shows/hides the status bar.

Mod-r
    Redraw whole screen.

Mod-G
    Escape the next typed key.

Mod-a
    Toggle keyboard multiplexing mode, if activated keypresses are sent to all non minimized windows.

Mod-X
    Lock screen.

Mod-B
    Toggle bell (off by default).

Mod-M
    Toggle dvtm mouse grabbing.

Mod-q
    Quit dvtm.

  Mouse commands

Copy and Paste
    By default dvtm captures mouse events to provide the actions listed below. Unfortunately this interferes with the standard X copy and paste mechanism. To work around this you need to hold down SHIFT while selecting or pasting text. Alternatively you can disable mouse support at compile time, or use Mod-M to toggle mouse support dynamically.

Button1 click
    Select window.

Button1 double click
    Select window and toggle maximization.

Button2 click
    Zooms/cycles current window to/from master area.

Button3 click
    Toggle minimization of current window.

EXAMPLE

See the dvtm-status script as an example.

CUSTOMIZATION
dvtm is customized by creating a custom config.h and (re)compiling the source code. This keeps it fast, secure and simple.

AUTHOR
dvtm is written by Marc Andre Tanner <mat at brain-dump.org>